### Function

# Ide g_file_get_children_finish

#### Declaration

    GPtrArray*
    ide_g_file_get_children_finish (
      GFile* file,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to ide_g_file_get_children_async().

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `GFileInfo*`
| A `GPtrArray` of `GFileInfo` if successful, otherwise `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.